GENOME-MUSIC-MUTATION-RELATION(1p)

genome music mutation-relation

NAME
genome music mutation-relation - Identify relationships of mutation concurrency or mutual exclusivity in genes across cases.

VERSION
This document describes genome music mutation-relation version 0.04 (2016-01-01 at 23:10:18)

SYNOPSIS
genome music mutation-relation --bam-list=? --maf-file=? --output-file=? [--mutation-matrix-file=?] [--permutations=?] [--gene-list=?] [--skip-non-coding] [--skip-silent]

 ... music mutation-relation \
        --maf-file /path/myMAF.tsv \
        --permutations 1000 \
        --output-file /path/mutation_relation.csv

REQUIRED ARGUMENTS

bam-list  Text
    Tab delimited list of BAM files [sample_name, normal_bam, tumor_bam] (See Description)

maf-file  Text
    List of mutations in MAF format

output-file  Text
    Results of mutation-relation tool

OPTIONAL ARGUMENTS

mutation-matrix-file  Text
    Optionally store the sample-vs-gene matrix used during calculations.

permutations  Number
    Number of permutations used to determine P-values

    Default value '100' if not specified

gene-list  Text
    List of genes to test, typically SMGs. If unspecified, all genes in MAF are tested.

skip-non-coding  Boolean
    Skip non-coding mutations from the provided MAF file

    Default value 'true' if not specified

noskip-non-coding  Boolean
    Make skip-non-coding 'false'

skip-silent  Boolean
    Skip silent mutations from the provided MAF file

    Default value 'true' if not specified

noskip-silent  Boolean
    Make skip-silent 'false'

DESCRIPTION
This module parses a list of mutations in MAF format and attempts to determine relationships among mutated genes. It employs a correlation test to see whether or not any two genes are mutated concurrently (positive correlation) or mutually exclusively (negative correlation). Because of the possibility of largely varying numbers of mutations present in different genes, P-values are calculated using restricted permutations that take into account the distribution of mutation counts among the samples. In the output file, 'pand' is the P-value for concurrent mutation events, and 'pexc' is the P-value for mutually exclusive mutation events.

ARGUMENTS

--bam-list
    Provide a file containing sample names and normal/tumor BAM locations for each. Use the tab- delimited format [sample_name normal_bam tumor_bam] per line. This tool only needs sample_name, so all other columns can be skipped. The sample_name must be the same as the tumor sample names used in the MAF file (16th column, with the header Tumor_Sample_Barcode).

AUTHORS
 Nathan D. Dees, Ph.D.
 Qunyuan Zhang, Ph.D.